curl -X POST "https://partners-backend-1038109371738.europe-west1.run.app/api/v1/8453/wallets/0x...:deactivate?transfer=true" \
-H "X-Partner-API-Key: your-api-key" \
-H "X-Partner-Name: your-partner-name"
const response = await fetch(
'https://partners-backend-1038109371738.europe-west1.run.app/api/v1/8453/wallets/0x...:deactivate?transfer=true',
{
method: 'POST',
headers: {
'X-Partner-API-Key': 'your-api-key',
'X-Partner-Name': 'your-partner-name',
},
}
);
{
"message": "Wallet deactivation triggered"
}
{
"detail": "Wallet is not active"
}
Agents
Deactivate Wallet
Deactivate an agent and optionally withdraw funds
POST
/
api
/
v1
/
{chain_id}
/
wallets
/
{wallet}
:deactivate
curl -X POST "https://partners-backend-1038109371738.europe-west1.run.app/api/v1/8453/wallets/0x...:deactivate?transfer=true" \
-H "X-Partner-API-Key: your-api-key" \
-H "X-Partner-Name: your-partner-name"
const response = await fetch(
'https://partners-backend-1038109371738.europe-west1.run.app/api/v1/8453/wallets/0x...:deactivate?transfer=true',
{
method: 'POST',
headers: {
'X-Partner-API-Key': 'your-api-key',
'X-Partner-Name': 'your-partner-name',
},
}
);
{
"message": "Wallet deactivation triggered"
}
{
"detail": "Wallet is not active"
}
SDK Alternative: Use
agent.deactivate() for a simpler TypeScript interface. See SDK docsDescription
Deactivates the agent for a specific wallet. This stops automatic rebalancing and optionally transfers remaining funds to the origin wallet.Path Parameters
integer
required
The blockchain chain ID
string
required
The wallet address
Query Parameters
boolean
default:"false"
Whether to transfer remaining balance to the origin wallet
Response
Returns201 Created on success.
curl -X POST "https://partners-backend-1038109371738.europe-west1.run.app/api/v1/8453/wallets/0x...:deactivate?transfer=true" \
-H "X-Partner-API-Key: your-api-key" \
-H "X-Partner-Name: your-partner-name"
const response = await fetch(
'https://partners-backend-1038109371738.europe-west1.run.app/api/v1/8453/wallets/0x...:deactivate?transfer=true',
{
method: 'POST',
headers: {
'X-Partner-API-Key': 'your-api-key',
'X-Partner-Name': 'your-partner-name',
},
}
);
{
"message": "Wallet deactivation triggered"
}
{
"detail": "Wallet is not active"
}